%define name     extace
%define title    eXtace
%define mainname %{name}
%define alsaname %{name}-alsa
%define version  1.4.0
%define release  1
%define descr    %{title} - An Extace Waveform Viewer
%define summalsa %{descr} with ALSA support
%define summoss  %{descr} without ALSA support
%define group    Sound
%define section  Multimedia/%{group}

%define withalsa 0

# Needed for building generic packages
# Not too sure if these are defined in non-Mandrake distributions:
# %{_exec_prefix}/bin -> /usr/bin
%define bindir_  %{_bindir}
# ~/RPM/tmp
%define tmppath_ %{_tmppath}
# %{_prefix}/share -> /usr/share
%define datadir_ %{_datadir}
# %{_libdir}/menu -> %{_exec_prefix}/%{_lib}/menu -> /usr/lib/menu
%define menudir_ %{_menudir}

Summary:         %{summoss}
Name:            %{name}
Version:         %{version}
Release:         %{release}
Copyright:       GPL
Group:           %{group}
Vendor:	         Dave J. Andruczyk <dave@techdev.buffalostate.edu>
BuildRoot:       %{tmppath_}/%{name}-%{version}-%{release}-buildroot
Requires:        gnome-libs >= 1.0.11, fftw, esound
BuildRequires:   fftw, fftw-devel, fileutils
%if %{withalsa}
BuildRequires:   alsa-lib
%endif
BuildPrereq:     esound-devel >= 0.2.8
BuildPrereq:     gtk+-devel >= 1.2.0
BuildPrereq:     glib-devel >= 1.2.0
Prefix:          %{_prefix}
Obsoletes:       %{alsaname}

Source: http://download.sourceforge.net/eXtace/%{name}-%{version}.tar.bz2

%description
eXtace is a visual sound display/analysis program for the Gnome Desktop
environment (though it works under other environments as long as gnome/esd
or ALSA is installed and used). Requires ESD or ALSA to function. Includes
various fourier transforms of the audio data in real-time. Displays include
3D textured flying landscape, 16-256 channel graphic EQ, scope 3D pointed 
flying landscape, and a Spectragram. All aspects of the display are fully 
configurable, even the axis placement. 

This version is for users who don't use ALSA.

%if %{withalsa}
%package alsa
Summary:         %{summalsa}
Group:           %{group}
Requires:        gnome-libs >= 1.0.11, fftw, alsa
Obsoletes:       %{mainname}

%description alsa
eXtace is a visual sound display/analysis program for the Gnome Desktop
environment (though it works under other environments as long as gnome/esd
or ALSA is installed and used). Requires ESD or ALSA to function. Includes
various fourier transforms of the audio data in real-time. Displays include
3D textured flying landscape, 16-256 channel graphic EQ, scope 3D pointed 
flying landscape, and a Spectragram. All aspects of the display are fully 
configurable, even the axis placement. 

This version is for users who use ALSA.
%endif

%prep
# remove build directories.  better do it by hand as I later on move
# them around
rm -fr $RPM_BUILD_DIR/%{name}-%{version} $RPM_BUILD_DIR/%{mainname}-alsa

# Unpack main source
%setup -q

%if %{withalsa}
# Copy source tree to dir %{alsaname} for later building the alsa version
cp -a $RPM_BUILD_DIR/%{name}-%{version} $RPM_BUILD_DIR/%{alsaname}
%endif

%build
# First build the normal/OSS version, and force to ignore ALSA even if present
%configure --disable-alsa
make CFLAGS="$RPM_OPT_FLAGS"

%if %{withalsa}
# Now build the ALSA version.  ALSA support is built by default if available
cd $RPM_BUILD_DIR/%{alsaname}
%configure
%make
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

# First install the OSS version
%makeinstall

# The "normal" one is named extace-oss, the alsa bin is called extace-alsa
mv %buildroot%{_bindir}/%{name} %buildroot%{_bindir}/%{name}-oss
ln -sf %{name}-oss %buildroot%{_bindir}/%{name}

%if %{withalsa}
# And now install the alsa version
cd $RPM_BUILD_DIR/%{alsaname}
%makeinstall
# Rename the binary so that it doesn't overwrite the pointer to /etc/alternatives
mv %buildroot%{_bindir}/%{name} %buildroot%{_bindir}/%{alsaname}
%endif

# Copy another nice utility.  This one creates a sine-wave.  Turn you phones to
# LOUD when you use this.... :-]
# Or, maybe not....
mkdir -p %buildroot%{bindir_}
cp extace/sine %buildroot%{bindir_}

%if %{withalsa}
%post alsa
ln -sf %{alsaname} %buildroot%{_bindir}/%{name}
%endif

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version} $RPM_BUILD_DIR/%{alsaname}

%files
%defattr(-,root,root,0755)
%doc TODO AUTHORS CREDITS NEWS ChangeLog README
%{bindir_}/extace
%{bindir_}/extace-oss
%{bindir_}/sine
%{datadir_}/gnome/apps/Multimedia/extace.desktop

%if %{withalsa}
%files alsa
%defattr(-,root,root,0755)
%doc TODO AUTHORS CREDITS NEWS ChangeLog README
%{bindir_}/extace
%{bindir_}/extace-alsa
%{bindir_}/sine
%{datadir_}/gnome/apps/Multimedia/extace.desktop
%endif

%changelog
* Mon Dec  4 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.4.0

* Sun Nov  5 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.3.11

* Thu Nov  2 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.3.10

* Mon Oct 23 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.3.9
- merged some stuff from official extace-1.3.9 spec

* Thu Sep 28 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.3.8

* Fri Sep 22 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.3.6

* Thu Sep 21 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.3.5
- extace-1.3.5-reverse-agis.patch (ugly fix)

* Mon Aug 28 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.3.2
- spec improvements

* Sat Feb 26 2000 Peter Hanecak <hanecak@megaloman.sk>
- moved fftw to separate package

* Tue Dec 14 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.2.15

* Tue Nov 23 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.2.13
- updated fftw to 2.1.3

* Sat Nov 13 1999 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.2.12
- source archives changed to .bz2

* Fri Sep 03 1999 Elliot Lee <sopwith@redhat.com>
- Create extace package
- Include FFTW in here instead of using gsl (FFTW is faster).
